# DeepQt

[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[![PyPI version](https://badge.fury.io/py/deepqt.svg)](https://badge.fury.io/py/deepqt)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

Harness the power of the DeepL API with this friendly user interface.

## Features

- Batch processing.

- Higher-level glossaries. [How do they work?](docs/glossary_help.md)

- Support for text files (epub coming eventually)

## Requires

- A DeepL API license, either free or pro. [How do I get this?](docs/api_help.md)

- A Python installation, version **3.10** or higher. On Linux you will probably already have this installed. On Windows, you will likely need to set it up. [Download Python | Python.org](https://www.python.org/downloads/) or use your package manager (apt, pacman, dnf, chocolatey, winget etc.)

## Installation

Download the latest release from PyPi

```pip install deepqt```

## Roadmap

- [ ] Support .ods files for glossaries.

- [ ] Support .csv files for glossaries.

- [ ] Support .epub files for translation.

- [ ] Glossary documentation.

- [ ] API help documentation.

- [ ] Build AppImage or Flatpak and Windows EXE.
